# Namespace goog.labs.userAgent.engine

code »
Show:PublicProtectedPrivate

## Global Functions

code » goog.labs.userAgent.engine.getVersion ( ) ⇒ `string`

Returns

The rendering engine's version or empty string if version can't be determined.

code » goog.labs.userAgent.engine.getVersionForKey_ ( tuples, key ) ⇒ `string`

Parameters

tuples: `!Array`
  Version tuples.
key: `string`
  The key to look for.

Returns

The version string of the given key, if present. Otherwise, the empty string.

code » goog.labs.userAgent.engine.isGecko ( ) ⇒ `boolean`

Returns

Whether the rendering engine is Gecko.

code » goog.labs.userAgent.engine.isPresto ( ) ⇒ `boolean`

Returns

Whether the rendering engine is Presto.

code » goog.labs.userAgent.engine.isTrident ( ) ⇒ `boolean`

Returns

Whether the rendering engine is Trident.

code » goog.labs.userAgent.engine.isVersionOrHigher ( version ) ⇒ `boolean`

Parameters

version: `(string|number)`
  The version to check.

Returns

Whether the rendering engine version is higher or the same as the given version.

code » goog.labs.userAgent.engine.isWebKit ( ) ⇒ `boolean`

Returns

Whether the rendering engine is WebKit.